Skip to main content
`Ctrl`+`K`

# KSPSetNestLevel

sets the amount of nesting the `KSP` has. That is the number of levels of `KSP` above this `KSP` in a linear solve.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetNestLevel(KSP ksp, PetscInt level)

Collective

## Input Parameters

- ksp - the `KSP`

- level - the nest level

## Note

For example, the `KSP` in each block of a `KSPBJACOBI` has a level of 1, while the outer `KSP` has a level of 0.

## See Also

KSP: Linear System Solvers, `KSPSetUp()`, `KSPSolve()`, `KSPDestroy()`, `KSP`, `KSPGMRES`, `KSPType`, `KSPGetNestLevel()`, `PCSetKSPNestLevel()`, `PCGetKSPNestLevel()`

## Level

developer

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages